unit help_evo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, jpeg, ExtCtrls;

type
  Thelp = class(TForm)
    exit: TSpeedButton;
    instruction: TMemo;
    demo: TImage;
    control_texts: TLabel;
    hints: TImage;
    hint: TMemo;
    procedure exitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  help: Thelp;

implementation

uses evo_menu;

{$R *.dfm}

procedure Thelp.exitClick(Sender: TObject);
begin
 help.Close;
 evomenu.show;
end;

procedure Thelp.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 help.Close;
 evomenu.show;
end;

procedure Thelp.FormActivate(Sender: TObject);
begin
 demo.picture.LoadFromFile('resources\img\navigation.jpeg');
end;

procedure Thelp.FormKeyPress(Sender: TObject; var Key: Char);
begin
 if Key = #27 then
  begin
   hints.picture.savetofile('hints.jpeg');
  end;
end;

end.
